Page MenuHomePhabricator

[mlir] Add plus, star and optional less/greater parsing
ClosedPublic

Authored by Kayjukh on Nov 6 2020, 12:07 AM.

Details

Summary

The tokens are already handled by the lexer. This revision exposes them
through the parser interface.

Diff Detail

Event Timeline

Kayjukh created this revision.Nov 6 2020, 12:07 AM
Kayjukh requested review of this revision.Nov 6 2020, 12:07 AM
Kayjukh updated this revision to Diff 304570.Nov 11 2020, 10:12 AM

Add tests and rebase

rriddle accepted this revision.Nov 11 2020, 10:17 AM

Can you update https://mlir.llvm.org/docs/OpDefinitions/#literals with the current set of punctuation? (It might be missing a few others as well)

This revision is now accepted and ready to land.Nov 11 2020, 10:17 AM
Kayjukh updated this revision to Diff 304777.Nov 12 2020, 4:25 AM

Add the missing tokens to the documentation and add question mark parsing functions

When completing the token list in the docs I noticed there were missing functions and associated tests for question mark parsing. I added them to this patch so as to bundle everything together.

This revision was landed with ongoing or failed builds.Nov 12 2020, 4:29 AM
This revision was automatically updated to reflect the committed changes.